
VIRTUAL CREDIT CARD - Bug #15240

AndAndroid [TREATS] [Treats Points] It shows insufficient balance message although user have

sufficient balance

17 December 2022 03:57 PM - hsulynn pang

Status: Closed Start date: 17 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Points tab

(7) at the Points tab, click Tambah button add product

(8) add another product by clicking Tambah button

(9) click Add to Cart button

(10) click Redeem button to Confirmation screen

(11) then click back to Cart screen

(12) click back to product list screen (the one with Add to Cart button at bottom)

(13) Click Add to Cart button

Actual result: It hits insufficient balance message although user have sufficient balance

Expected result: User is able to proceed next screen as they have sufficient balance

History

#1 - 17 December 2022 06:01 PM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 18 December 2022 06:36 AM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#3 - 18 December 2022 06:38 AM - Septi Gizka Tiara

- Assignee changed from hsulynn pang to Septi Gizka Tiara

#4 - 18 December 2022 12:18 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7c91091fed04

d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#5 - 18 December 2022 04:25 PM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#6 - 18 December 2022 05:52 PM - hsulynn pang

not able to test due to https://dev.silverlakemobility.com/redmine/issues/15261
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7c91091fed04d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/655e0bb4d227d8c9cd8e02f6b7c91091fed04d5d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://dev.silverlakemobility.com/redmine/issues/15261


#7 - 19 December 2022 05:29 PM - hsulynn pang

- File retest.mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp-Video-2022-12-17-at-155.mp4 2.44 MB 17 December 2022 hsulynn pang

retest.mp4 3.07 MB 19 December 2022 hsulynn pang
